[workspace]
members = ["crates/gitea", "crates/cli", "crates/app"]
resolver = "3"

[workspace.package]
edition = "2024"
license = "MIT"
rust-version = "1.92"

[workspace.dependencies]
reqwest = { version = "0.13", default-features = false, features = ["json", "rustls"] }
serde = { version = "1", features = ["derive"] }
serde_json = "1"
tokio = { version = "1", features = ["macros", "rt-multi-thread"] }
rpassword = "7"
serde_yaml = "0.9"
